namespace Wizard;

public class GatheringKickTask : BaseTask
{
	public class GatheringKickTaskParam : BaseParam
	{
		public string target_viewer_id;

		public int is_restrict;
	}

	public GatheringKickTask()
	{
		base.type = ApiType.Type.GatheringKick;
	}

	public void SetParameter(string targetViewerId, bool isRestrict)
	{
		GatheringKickTaskParam gatheringKickTaskParam = new GatheringKickTaskParam();
		gatheringKickTaskParam.target_viewer_id = targetViewerId;
		gatheringKickTaskParam.is_restrict = (isRestrict ? 1 : 0);
		base.Params = gatheringKickTaskParam;
	}
}
